00#import "Item.h"

@implementation Item

- (id) init
{
    if (self = [super init])
    {
			itemString = @"";
			notes = [[NSAttributedString alloc] initWithString:@""];
    }
    return self;
}

- (Item* ) initWithItemString: (NSString *)newItemString andNotes:(NSAttributedString *)newNotes
{
	if (self = [self init])
	{
		[notes autorelease];
		notes = [[NSAttributedString alloc] initWithAttributedString: newNotes];
		
		[itemString autorelease];
		itemString = [[NSString alloc] initWithString: newItemString];
	}
	
	return self;
}

- (NSString *) itemString
{
    return itemString;
}

- (void) setItemString: (NSString *)newItemString
{
    if (itemString != newItemString)
    {
		[itemString autorelease];
		itemString = [[NSString alloc] initWithString: newItemString];
    }
}

- (NSAttributedString *)notes
{
    return notes;
}

- (void) setNotes: (NSAttributedString *)newNotes
{
    if (notes != newNotes)
    {
		[notes autorelease];
		notes = [[NSAttributedString alloc] initWithAttributedString: newNotes];
    }
}

- (void) dealloc
{
    [itemString release];
	[notes release];
    
    [super dealloc];
}

@end